Packages - Bug #520

Annoyance and Bug in Iceweasel
2014-05-01 10:59 PM - icarious

Status: fixed % Done: 100%
Priority: freedom issue
Assignee:

Category:

Description

Issue
1

Iceweasel 29 introduced the Australis Ul bearing an "ALT" shortcut to
display the full menu bar. This feature conflicts with "ALT" being used

as a modifier in many Window Managers (i3/etc) and can be annoying for
the user. Feature can be disabled by default and the menu bar can be
enabled by "right click > Menu Bar".

Work Around :

set "ui.key.menuAccessKeyFocuses" from "True" to "False"

Issue 2

Visiting a website with swf content without having any swfplayer plugin
installed displays "Install (Flash)". The default
"plugins.notifyMissingFlash;false" to disable the notification isn't

effective and hence the string can be changed to something like "Install
(swfplayer)".

History

#1 - 2014-05-01 11:03 PM - Anonymous

- Status changed from open to in progress

#2 - 2014-05-02 03:16 AM - Anonymous

- Status changed from in progress to fixed

#3 - 2014-05-02 03:49 AM - Anonymous
- Description updated

- Status changed from fixed to open

back again to "open" status because there are more freedom issues to be checked

#4 - 2014-05-02 11:52 PM - icarious

Issue 3

Clicking on "Menu -> Add-ons -> Plugins -> Check to see if your plugins are up to date" redirects to https://www.mozilla.org/en-GB/plugincheck/ . If
the user has a Browser plugin like "gecko-mediaplayer" to play media in the browser, the page wrongly detects the plugin to be the non-free plugins
from apple/adobe respectively and asking to visit the respective websites "apple.com/ etc" to update the plugin if it is out of date.

Possible Solutions :

1) Set it to blank by removing the entry.

2) Add fsf plugins directory to promote 100% free browser plugins.

3) Display a string "This Browser is Free Software" with a URL redirection to the gnu project.

#5 - 2014-05-03 11:37 AM - Anonymous

- Status changed from open to fixed
https://www.mozilla.org/en-GB/plugincheck/

- % Done changed from 0 to 100

iceweasel-libre-1:29.0.deb1-3 has been released with the related fixes [0]

[0]: https://projects.parabolagnulinux.org/abslibre.git/commit/?id=cd9336f5361349bfb0a4ba921{43079c5bfa05d8

#6 - 2014-05-03 11:37 AM - Anonymous

- Priority changed from bug to freedom issue
